List Branch Approvals
curl --request GET \
--url https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/projects/{project_reference}/branches/{branchId}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approved_at": "<string>",
"comment": "<string>",
"dismissed_at": "<string>",
"dismissed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dismissed_reason": "<string>"
}
]
}Lists approvals recorded for a branch in the project.
GET
/
projects
/
{project_reference}
/
branches
/
{branchId}
/
approvals
List Branch Approvals
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, UUID, or domain that identifies the project.
Branch ID (UUID)
Response
List of approvals
Show child attributes
Show child attributes